## nova 17.0.0

=== debian/changelog ===
nova (2:17.0.0-4) unstable; urgency=medium

  * Better default values for [neutron] section.
  * Correctly read/write [neutron] config.
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 17:54:04 +0000

nova (2:17.0.0-2) unstable; urgency=medium

  * Fixed nova-placement-api must use uwsgi_python3 not uwsgi_python.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Mar 2018 21:59:00 +0100

nova (2:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix keystone_authtoken defaults.
  * Removed double-defined override_dh_python3.
  * Switched to openstack-pkg-tools >= 70~ provided debconf templates.
  * Using policy.json generated with --format json.
  * Add Breaks:+Replaces: python-nova (Closes: #891681).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 21:05:55 +0000

nova (2:17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 10:05:08 +0000

nova (2:17.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - Add_nova-idmapshift_to_rootwrap_filters.patch
    - Fix_quobyte_test_validate_volume_no_mtab_entry.patch
    - CVE-2017-16239_Refined_fix_for_validating_image_on_rebuild.patch
    - CVE-2017-17051_Fix_doubling_allocations_on_rebuild.patch
  * Using pkgos-dh_auto_test.
  * Removed usr/bin/nova-idmapshift (removed in Queens).
  * Removing debian/tmp/usr/etc after setup.py install.
  * Generates policy.yaml using oslopolicy-sample-generator.
  * Standards-Version is now 4.1.3.
  * Some clean-up in debian/rules.
  * Switched to Python 3.
  * Make sure service files are generated for consoleproxi daemons.
  * nova-common.config: do not use /sbin/route, cat in /proc instead.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:38:30 +0000

nova (2:16.0.3-10) unstable; urgency=medium

  * Add explicit dependency on e2fsprogs (Closes: #887212, #887188).
  * Updated / added debconf templates translations:
    - nl.po (Closes: #882650).
    - de.po (Closes: #885161).
    - fr.po (Closes: #886208).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 13:37:16 +0100

nova (2:16.0.3-9) unstable; urgency=medium

  * Fixed [neutron]/tenant_name.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Dec 2017 13:58:57 +0100

nova (2:16.0.3-8) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 60~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2017 21:11:14 +0000

nova (2:16.0.3-7) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools >= 59~, to make sure we're using allocated
    UID/GID from #884178.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2017 12:56:16 +0000

nova (2:16.0.3-6) unstable; urgency=high

  * CVE-2017-17051 / OSSA-2017-006: Nova FilterScheduler doubles resource
    allocations during rebuild with new image. Applied upstream patch: Fix
    doubling allocations on rebuild (Closes: 883621).
    Note: previous upload was in fact only refining the patch for addressing
    CVE-2017-16239, not CVE-2017-17051. This upload really fixes the bug for
    CVE-2017-17051.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 09:29:15 +0100

nova (2:16.0.3-5) unstable; urgency=high

  * CVE-2017-16239/OSSA-2017-005.1 (errata for CVE-2017-16239/OSSA-2017-005):
    Nova Filter Scheduler bypass through rebuild action. Apply upstream patch:
    Refined fix for validating image on rebuild (Closes: #883621).

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Dec 2017 12:24:45 +0100

nova (2:16.0.3-4) unstable; urgency=medium

  * Using --paste-logger when starting uwsgi for placement-api, and runtime
    depends on python-pastescript.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Dec 2017 10:06:29 +0000

nova (2:16.0.3-3) unstable; urgency=medium

  * Fixed default_floating_pool option to ext-net.
  * 4 workers by default for nova-placement-api.
  * Rebuilt with openstack-pkg-tools >= 56.
  * Removed dh-systemd build-depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2017 16:36:27 +0100

nova (2:16.0.3-2) unstable; urgency=medium

  * Fixed arguments for nova-placement-api's uwsgi_python.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Nov 2017 01:17:19 +0100

nova (2:16.0.3-1) unstable; urgency=high

  * New upstream release. Includes:
    - CVE-2017-16239 / OSSA-2017-005: Nova Filter Scheduler bypass through
      rebuild action. Applied upstream patch: Validate new image via scheduler
      during rebuild (Closes: #882009).
  * Add Fix_quobyte_test_validate_volume_no_mtab_entry.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Nov 2017 15:16:54 +0000

nova (2:16.0.1-3) unstable; urgency=medium

  * Add missing source of debconf script in nova-placement-api.postinst.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 21:37:20 +0000

nova (2:16.0.1-2) unstable; urgency=medium

  * Fixed nova-xenvncproxy init script syntax (Closes: #863165).
  * Using uwsgi-plugin-python to run the placement-api (Closes: #875712).
  * Now setting-up nova-placement-api automatically with debconf.
  * The nova-compute daemon now runtime depends on fdisk (Closes: #872135).
  * Update pt.po (Closes: #873173).
  * Update fr.po (Closes: #874103).
  * Replaces nova-api endpoint /v2/'%(tenant_id)s' by /v2.1 as per upstream
    installation doc.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:30:47 +0000

nova (2:16.0.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.


=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit (>= 0.13.2),
 bpython,
 euca2ools,
 genisoimage,
 git,
 ipython,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-babel,
 python3-barbicanclient (>= 4.0.0),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-cryptography (>= 1.9),
 python3-cursive (>= 0.2.1),
 python3-ddt,
 python3-decorator,
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet,
 python3-hacking (>= 0.10.0),
 python3-ironicclient (>= 2.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.8),
 python3-jsonschema,
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-memcache,
 python3-microversion-parse (>= 0.1.2),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0),
 python3-mox3 (>= 0.20.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.13),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:2.9.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.2.0),
 python3-os-service-types (>= 1.1.0),
 python3-os-traits (>= 0.4.0),
 python3-os-vif (>= 1.7.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.1),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pypowervm (>= 1.1.10),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-rfc3986,
 python3-routes,
 python3-six,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1.7.1),
 python3-websockify,
 python3-wsgi-intercept (>= 1.4.1),
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-cells
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-amqplib,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-pygresql,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 curl,
 ebtables,
 fdisk | util-linux (<< 2.29.2-3~),
 gawk,
 iptables,
 kpartx,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient (>= 2.2.0),
 python3-libvirt (>= 1.2.5),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-uml,
 nova-compute-xen,
Breaks:
 nova-compute-uml,
Replaces:
 nova-compute-uml,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 qemu-kvm | kvm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 qemu,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - conductor service

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst \
		debian/nova-api.config debian/nova-api.postinst debian/nova-placement-api.config debian/nova-placement-api.postinst debian/nova-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla
	rm -f debian/nova-api.templates debian/nova-common.templates

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm nova-common.postrm
	pkgos-merge-templates nova-api nova endpoint
	pkgos-merge-templates nova-common nova db rabbit ksat
	pkgos-merge-templates nova-placement-api nova-placement-api endpoint

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	mkdir -p $(CURDIR)/debian/nova-common/etc/nova
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/etc/nova/policy.json \
		--format json \
		--namespace nova

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf keystone_authtoken nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.yaml \
		--namespace nova

	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT security_group_api neutron
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT use_neutron True
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron default_floating_pool ext-net

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_type password
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron username admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron service_name neutron
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_url http://127.0.0.1:35357

	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC enabled false
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice enabled true

	# Set glance on localhost by default, to allow PoC to work
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf glance api_servers http://localhost:9292

	# Works by default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf keystone_authtoken auth_protocol http

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install
	dh_missing --fail-missing -Xbin/nova-all -Xbin/nova-network

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done

## nova 17.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
Routes>=2.3.1 # MIT
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
WebOb>=1.7.1 # MIT
greenlet>=0.4.10 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0.0 # LGPLv2.1+
Babel!=2.4.0,>=2.3.4 # BSD
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
python-cinderclient>=3.3.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.31.2 # Apache-2.0
os-brick>=2.2.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
os-vif!=1.8.0,>=1.7.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
os-xenapi>=0.3.1 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
pypowervm>=1.1.10 # Apache-2.0
os-service-types>=1.1.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0

=== debian/changelog ===
nova (2:17.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Mar 2018 12:43:39 -0400

nova (2:17.0.0-0ubuntu2) bionic; urgency=medium

  * Add Depends nova-compute-kvm -> ipxe-qemu{-256k-compat-efi-roms}
    to ensure that required ROM's are installed for all architectures
    (LP: #1754015).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Mar 2018 16:06:06 +0000

nova (2:17.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 12:44:34 -0500

nova (2:17.0.0~rc3-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 16:18:37 -0500

nova (2:17.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:47:40 -0500

nova (2:17.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 11:09:31 +0000

nova (2:17.0.0~b3-0ubuntu4) bionic; urgency=medium

  * d/tests/control: allow-stderr to avoid test failures due to
    deprecation notices being printed to stderr (LP: #1748123).

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2018 09:11:59 +0000

nova (2:17.0.0~b3-0ubuntu3) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.blockdiag/seqdiag.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Feb 2018 09:30:56 -0500

nova (2:17.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/p/revert-generalize-db-conf-group-copying.patch: Revert upstream
    patch due to failure described in https://bugs.launchpad.net/bugs/1746530.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 09:06:59 -0500

nova (2:17.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ Christian Ehrhardt ]
  * d/control: move libvirt dependency from transitional libvirt-bin to
    new package libvirt-daemon-system (LP: #1694159).

  [ James Page ]
  * d/nova-compute.init.in: Update startup dependency from libvirt-bin
    to libvirtd.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:10:05 -0500

nova (2:17.0.0~b2-0ubuntu2) bionic; urgency=medium

  * d/nova-common.postinst: Use reserved uid/gid for nova user/group,
    ensuring consistency across deployments (LP: #1657202).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Dec 2017 15:20:52 +0000

nova (2:17.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/watch: Limit uscan to 17.x series.
  * d/nova-compute.install: Drop nova-idmapshift.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 09:53:05 +0000

nova (2:17.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh, drop patches no longer needed.
  * d/*.install: Fix install from data_files locations.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 16:52:42 +0000

nova (2:16.0.1-0ubuntu2) bionic; urgency=medium

  [ James Page ]
  * d/p/qemu-2.10-compat.patch: Drop, fix included upstream.

  [ Corey Bryant ]
  * d/nova-placement-api.conf: Align with keystone apache2 site config
    (LP: #1684468).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Oct 2017 13:40:22 -0400

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Soren Hansen <soren@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 37ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 16.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 crudini,
 genisoimage,
 openssh-client,
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-castellan (>= 0.16.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-cursive (>= 0.2.1),
 python-ddt (>= 1.0.1),
 python-decorator (>= 3.4.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-gabbi (>= 1.35.0),
 python-glanceclient (>= 1:2.8.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-ironicclient (>= 2.2.0),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-microversion-parse (>= 0.1.2),
 python-migrate (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-netifaces (>= 0.10.4),
 python-neutronclient (>= 1:6.3.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-brick (>= 2.2.0),
 python-os-service-types (>= 1.1.0),
 python-os-testr (>= 1.0.0),
 python-os-traits (>= 0.4.0),
 python-os-vif (>= 1.7.0),
 python-os-win (>= 3.0.0),
 python-os-xenapi (>= 0.3.1),
 python-oslo.cache (>= 1.26.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslo.vmware (>= 2.17.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-pkg-resources (>= 16.0),
 python-prettytable (>= 0.7.1),
 python-psutil (>= 3.2.2),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pypowervm (>= 1.1.10),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-rfc3986 (>= 0.3.1),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sphinxcontrib.actdiag,
 python-sphinxcontrib.seqdiag,
 python-sqlalchemy (>= 1.0.10),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-taskflow (>= 2.16.0),
 python-tempest (>= 1:14.0.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 python-websockify (>= 0.8.0),
 python-wsgi-intercept (>= 1.4.1),
Build-Conflicts:
 python-cjson,
Standards-Version: 4.1.2
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: nova-ajax-console-proxy
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Compute - AJAX console proxy - transitional package
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package used to provide the AJAX proxy, which is now gone.

Package: nova-api
Architecture: all
Depends:
 iptables,
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Compute - API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides the API frontend.

Package: nova-api-metadata
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - metadata API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the metadata API backend for guest VMs.

Package: nova-api-os-compute
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - OpenStack Compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the OpenStack Compute API frontend.

Package: nova-api-os-volume
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 cinder-api,
 ${misc:Depends},
Description: OpenStack Compute - OpenStack Volume API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This is a dummy transitional package that can be removed after upgrade.

Package: nova-cells
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 python-nova (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Recommends:
 python-glanceclient (>= 1:2.8.0),
 python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 bridge-utils,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-kvm
Architecture: all
Depends:
 ipxe-qemu,
 ipxe-qemu-256k-compat-efi-roms,
 nova-compute-libvirt (= ${binary:Version}),
 qemu-kvm | qemu-system (>= 1.3.0) | kvm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-hypervisor,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using kvm.

Package: nova-compute-libvirt
Architecture: all
Depends:
 adduser,
 ebtables,
 genisoimage,
 iptables,
 kpartx,
 libvirt-daemon-system | libvirt-bin,
 nova-compute (= ${binary:Version}),
 open-iscsi,
 parted,
 python-libvirt,
 qemu-utils,
 vlan,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 guestmount,
 multipath-tools,
 rsync,
 sg3-utils,
 sysfsutils,

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository
	rm -f etc/nova/nova.conf

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/nova/nova-config-generator.conf
	cp etc/nova/nova.conf.sample etc/nova/nova.conf
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT log_dir /var/log/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT lock_path /var/lock/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT state_path /var/lib/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf database connection sqlite:////var/lib/nova/nova.sqlite
	crudini --set $(CURDIR)/etc/nova/nova.conf api_database connection sqlite:////var/lib/nova/nova_api.sqlite
	crudini --set $(CURDIR)/etc/nova/nova.conf cells enable False
	crudini --set $(CURDIR)/etc/nova/nova.conf placement os_region_name openstack
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./nova/tests/unit ostestr
endif

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api python-nova
Depends: nova-conductor, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-placement-api, nova-console,
 nova-consoleauth, python-nova, rabbitmq-server, nova-compute
Restrictions: needs-root, allow-stderr
